Bug 1122293 - (CVE-2019-2422) VUL-0: CVE-2019-2422: java-1_7_0-openjdk,java-1_8_0-openjdk,java-11-openjdk: memory disclosure in FileChannelImpl
(CVE-2019-2422)
VUL-0: CVE-2019-2422: java-1_7_0-openjdk,java-1_8_0-openjdk,java-11-openjdk: ...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Fridrich Strba
Security Team bot
https://smash.suse.de/issue/222821/
CVSSv3:RedHat:CVE-2019-2422:3.1:(AV:N...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-01-17 09:04 UTC by Alexandros Toptsoglou
Modified: 2019-06-08 16:18 UTC (History)
2 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandros Toptsoglou 2019-01-17 09:04:32 UTC
A memory disclosure flaw was found in the FileChannelImpl class in the Libraries component of OpenJDK.  An untrusted Java application or applet could use this flaw leak limited amount of Java Virtual Machine memory possibly containing sensitive information, resulting in a partial bypass of Java sandbox restrictions.

References:
https://bugzilla.redhat.com/show_bug.cgi?id=1665945
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2019-2422
http://www.oracle.com/technetwork/security-advisory/cpujan2019-5072801.html#CVE-2019-2422
Comment 3 Swamp Workflow Management 2019-02-01 20:11:00 UTC
SUSE-SU-2019:0221-1: An update that fixes three vulnerabilities is now available.

Category: security (important)
Bug References: 1120431,1122293,1122299
CVE References: CVE-2018-11212,CVE-2019-2422,CVE-2019-2426
Sources used:
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 (src):    java-11-openjdk-11.0.2.0-3.18.1
Comment 4 Swamp Workflow Management 2019-02-12 14:09:10 UTC
openSUSE-SU-2019:0161-1: An update that fixes three vulnerabilities is now available.

Category: security (important)
Bug References: 1120431,1122293,1122299
CVE References: CVE-2018-11212,CVE-2019-2422,CVE-2019-2426
Sources used:
openSUSE Leap 15.0 (src):    java-11-openjdk-11.0.2.0-lp150.2.12.1
Comment 6 Swamp Workflow Management 2019-03-12 20:14:06 UTC
SUSE-SU-2019:0585-1: An update that fixes four vulnerabilities is now available.

Category: security (important)
Bug References: 1122292,1122293,1122299,1128158
CVE References: CVE-2018-11212,CVE-2018-1890,CVE-2019-2422,CVE-2019-2449
Sources used:
SUSE Linux Enterprise Module for Legacy Software 15 (src):    java-1_8_0-ibm-1.8.0_sr5.30-3.16.2
Comment 7 Swamp Workflow Management 2019-03-12 23:11:34 UTC
SUSE-SU-2019:13975-1: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1122293,1122299
CVE References: CVE-2018-11212,CVE-2019-2422
Sources used:
SUSE Linux Enterprise Point of Sale 11-SP3 (src):    java-1_7_0-ibm-1.7.0_sr10.40-65.35.1
Comment 8 Swamp Workflow Management 2019-03-13 12:56:07 UTC
SUSE-SU-2019:0604-1: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1122293,1122299
CVE References: CVE-2018-11212,CVE-2019-2422
Sources used:
SUSE OpenStack Cloud 7 (src):    java-1_7_1-ibm-1.7.1_sr4.40-38.34.1
SUSE Linux Enterprise Software Development Kit 12-SP4 (src):    java-1_7_1-ibm-1.7.1_sr4.40-38.34.1
SUSE Linux Enterprise Software Development Kit 12-SP3 (src):    java-1_7_1-ibm-1.7.1_sr4.40-38.34.1
SUSE Linux Enterprise Server for SAP 12-SP2 (src):    java-1_7_1-ibm-1.7.1_sr4.40-38.34.1
SUSE Linux Enterprise Server for SAP 12-SP1 (src):    java-1_7_1-ibm-1.7.1_sr4.40-38.34.1
SUSE Linux Enterprise Server 12-SP4 (src):    java-1_7_1-ibm-1.7.1_sr4.40-38.34.1
SUSE Linux Enterprise Server 12-SP3 (src):    java-1_7_1-ibm-1.7.1_sr4.40-38.34.1
SUSE Linux Enterprise Server 12-SP2-LTSS (src):    java-1_7_1-ibm-1.7.1_sr4.40-38.34.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    java-1_7_1-ibm-1.7.1_sr4.40-38.34.1
SUSE Linux Enterprise Server 12-SP1-LTSS (src):    java-1_7_1-ibm-1.7.1_sr4.40-38.34.1
SUSE Linux Enterprise Server 12-LTSS (src):    java-1_7_1-ibm-1.7.1_sr4.40-38.34.1
SUSE Enterprise Storage 4 (src):    java-1_7_1-ibm-1.7.1_sr4.40-38.34.1
Comment 9 Swamp Workflow Management 2019-03-14 14:09:20 UTC
SUSE-SU-2019:13978-1: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1122293,1122299
CVE References: CVE-2018-11212,CVE-2019-2422
Sources used:
SUSE Linux Enterprise Software Development Kit 11-SP4 (src):    java-1_7_1-ibm-1.7.1_sr4.40-26.36.1
SUSE Linux Enterprise Server 11-SP4 (src):    java-1_7_1-ibm-1.7.1_sr4.40-26.36.1
Comment 10 Swamp Workflow Management 2019-03-15 17:12:13 UTC
SUSE-SU-2019:0617-1: An update that fixes four vulnerabilities is now available.

Category: security (important)
Bug References: 1122292,1122293,1122299,1128158
CVE References: CVE-2018-11212,CVE-2018-1890,CVE-2019-2422,CVE-2019-2449
Sources used:
SUSE OpenStack Cloud 7 (src):    java-1_8_0-ibm-1.8.0_sr5.30-30.46.1
SUSE Linux Enterprise Software Development Kit 12-SP4 (src):    java-1_8_0-ibm-1.8.0_sr5.30-30.46.1
SUSE Linux Enterprise Software Development Kit 12-SP3 (src):    java-1_8_0-ibm-1.8.0_sr5.30-30.46.1
SUSE Linux Enterprise Server for SAP 12-SP2 (src):    java-1_8_0-ibm-1.8.0_sr5.30-30.46.1
SUSE Linux Enterprise Server for SAP 12-SP1 (src):    java-1_8_0-ibm-1.8.0_sr5.30-30.46.1
SUSE Linux Enterprise Server 12-SP4 (src):    java-1_8_0-ibm-1.8.0_sr5.30-30.46.1
SUSE Linux Enterprise Server 12-SP3 (src):    java-1_8_0-ibm-1.8.0_sr5.30-30.46.1
SUSE Linux Enterprise Server 12-SP2-LTSS (src):    java-1_8_0-ibm-1.8.0_sr5.30-30.46.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    java-1_8_0-ibm-1.8.0_sr5.30-30.46.1
SUSE Linux Enterprise Server 12-SP1-LTSS (src):    java-1_8_0-ibm-1.8.0_sr5.30-30.46.1
SUSE Enterprise Storage 4 (src):    java-1_8_0-ibm-1.8.0_sr5.30-30.46.1
Comment 11 Swamp Workflow Management 2019-03-18 20:09:06 UTC
openSUSE-SU-2019:0346-1: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1122293,1122299
CVE References: CVE-2018-11212,CVE-2019-2422
Sources used:
openSUSE Leap 15.0 (src):    java-1_8_0-openjdk-1.8.0.201-lp150.2.12.1
Comment 14 Swamp Workflow Management 2019-05-13 16:12:58 UTC
SUSE-SU-2019:1219-1: An update that fixes 7 vulnerabilities is now available.

Category: security (important)
Bug References: 1122293,1122299,1132728,1132729,1132732,1133135
CVE References: CVE-2018-11212,CVE-2018-3639,CVE-2019-2422,CVE-2019-2426,CVE-2019-2602,CVE-2019-2684,CVE-2019-2698
Sources used:
SUSE OpenStack Cloud 7 (src):    java-1_8_0-openjdk-1.8.0.212-27.32.1
SUSE Linux Enterprise Server for SAP 12-SP2 (src):    java-1_8_0-openjdk-1.8.0.212-27.32.1
SUSE Linux Enterprise Server for SAP 12-SP1 (src):    java-1_8_0-openjdk-1.8.0.212-27.32.1
SUSE Linux Enterprise Server 12-SP4 (src):    java-1_8_0-openjdk-1.8.0.212-27.32.1
SUSE Linux Enterprise Server 12-SP3 (src):    java-1_8_0-openjdk-1.8.0.212-27.32.1
SUSE Linux Enterprise Server 12-SP2-LTSS (src):    java-1_8_0-openjdk-1.8.0.212-27.32.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    java-1_8_0-openjdk-1.8.0.212-27.32.1
SUSE Linux Enterprise Server 12-SP1-LTSS (src):    java-1_8_0-openjdk-1.8.0.212-27.32.1
SUSE Linux Enterprise Desktop 12-SP4 (src):    java-1_8_0-openjdk-1.8.0.212-27.32.1
SUSE Linux Enterprise Desktop 12-SP3 (src):    java-1_8_0-openjdk-1.8.0.212-27.32.1
SUSE Enterprise Storage 4 (src):    java-1_8_0-openjdk-1.8.0.212-27.32.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 15 Swamp Workflow Management 2019-05-23 13:11:49 UTC
openSUSE-SU-2019:1439-1: An update that fixes 7 vulnerabilities is now available.

Category: security (important)
Bug References: 1122293,1122299,1132728,1132729,1132732,1133135
CVE References: CVE-2018-11212,CVE-2018-3639,CVE-2019-2422,CVE-2019-2426,CVE-2019-2602,CVE-2019-2684,CVE-2019-2698
Sources used:
openSUSE Leap 42.3 (src):    java-1_8_0-openjdk-1.8.0.212-34.1
Comment 16 Swamp Workflow Management 2019-05-31 13:26:06 UTC
SUSE-SU-2019:1392-1: An update that fixes 6 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1122293,1122299,1132728,1132729,1132732,1134297
CVE References: CVE-2018-11212,CVE-2019-2422,CVE-2019-2426,CVE-2019-2602,CVE-2019-2684,CVE-2019-2698
Sources used:
SUSE OpenStack Cloud 7 (src):    java-1_7_0-openjdk-1.7.0.221-43.22.1
SUSE Linux Enterprise Server for SAP 12-SP2 (src):    java-1_7_0-openjdk-1.7.0.221-43.22.1
SUSE Linux Enterprise Server for SAP 12-SP1 (src):    java-1_7_0-openjdk-1.7.0.221-43.22.1
SUSE Linux Enterprise Server 12-SP4 (src):    java-1_7_0-openjdk-1.7.0.221-43.22.1
SUSE Linux Enterprise Server 12-SP3 (src):    java-1_7_0-openjdk-1.7.0.221-43.22.1
SUSE Linux Enterprise Server 12-SP2-LTSS (src):    java-1_7_0-openjdk-1.7.0.221-43.22.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    java-1_7_0-openjdk-1.7.0.221-43.22.1
SUSE Linux Enterprise Server 12-SP1-LTSS (src):    java-1_7_0-openjdk-1.7.0.221-43.22.1
SUSE Linux Enterprise Server 12-LTSS (src):    java-1_7_0-openjdk-1.7.0.221-43.22.1
SUSE Linux Enterprise Desktop 12-SP4 (src):    java-1_7_0-openjdk-1.7.0.221-43.22.1
SUSE Linux Enterprise Desktop 12-SP3 (src):    java-1_7_0-openjdk-1.7.0.221-43.22.1
SUSE Enterprise Storage 4 (src):    java-1_7_0-openjdk-1.7.0.221-43.22.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 17 Swamp Workflow Management 2019-06-03 13:17:14 UTC
openSUSE-SU-2019:1500-1: An update that fixes 6 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1122293,1122299,1132728,1132729,1132732,1134297
CVE References: CVE-2018-11212,CVE-2019-2422,CVE-2019-2426,CVE-2019-2602,CVE-2019-2684,CVE-2019-2698
Sources used:
openSUSE Leap 42.3 (src):    java-1_7_0-openjdk-1.7.0.221-57.1, java-1_7_0-openjdk-bootstrap-1.7.0.221-57.1
Comment 18 Marcus Meissner 2019-06-08 16:18:00 UTC
released